<?php
include_once 'sys/inc/start.php';
$doc = new document();
$doc->title = 'Гости на сайте';


$posts = array();


$pages = new pages;
$pages->posts = $dcms->count('guest_online'); // количество постов
$pages->this_page(); // получаем текущую страницу


$icon=array('size'=>'small','src'=>'/sys/images/icons/guest.png');
$q = mysql_query("SELECT * FROM `guest_online` WHERE `conversions` >= '5' ORDER BY `time_start` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($ank=mysql_fetch_assoc($q)) {
$data="Переходов: $ank[conversions]<br />";
$data.="Браузер: $ank[browser]<br />";
$data.="IP: ".long2ip($ank['ip_long']);
$posts[]=array('title'=>'Гость','icon'=>$icon,'post'=>$data);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Нет гостей');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');


$pages->listing('?'); // вывод страниц
?>
